﻿using NUnit.Framework;
using E39;
using System;
using System.Data;

namespace E39_Tests.E39_Lib.Excel
{
    class ExcelWriterTests
    {
        private DataTable data;
        private DateTimeOffset startDate;
        private DateTimeOffset endDate;
        private Config config;

        [SetUp]
        public void Setup()
        {
            data = new DataTable();
            startDate = new DateTimeOffset(2019, 1, 1, 0, 0, 0, TimeSpan.Zero);
            endDate = startDate.AddMonths(1).AddMinutes(-10);
            config = new ConfigHandler();
        }
        /*
        [Test]
        public void WriteToExcel_Throws_ArgumentException_If_Excel_File_Path_Does_Not_Exist()
        {
            config.ExcelTemplatesDirectory = "nonexistent_dir";

            var e = Assert.Catch(() => new ExcelWriter(config, startDate, endDate));

            Assert.IsInstanceOf<ArgumentException>(e);
        }

        [Test]
        public void WriteTimeSeriesGraphToExcel_Throws_ArgumentException_When_width_Or_height_Parameters_Are_Smaller_Or_Equal_To_Zero()
        {
            var excelWriter = new ExcelWriter(config, startDate, endDate) { Data = data };

            var e = Assert.Catch(() => excelWriter.WriteTimeSeriesGraphToExcel("chartName", "graphTitle", 0, 100, 1, 1, 2, "xAxisTitle", new string[] { "a" }, "yAxisTitle"));
            var e2 = Assert.Catch(() => excelWriter.WriteTimeSeriesGraphToExcel("chartName", "graphTitle", 100, 0, 1, 1, 2, "xAxisTitle", new string[] { "a" }, "yAxisTitle"));

            Assert.IsInstanceOf<ArgumentException>(e);
            Assert.IsInstanceOf<ArgumentException>(e2);
        }

        [Test]
        public void WriteTimeSeriesGraphToExcel_Throws_ArgumentException_When_xPos_or_yPos_Parameters_Are_Smaller_Or_Equal_To_Zero()
        {
            var excelWriter = new ExcelWriter(config, startDate, endDate) { Data = data };

            var e = Assert.Catch(() => excelWriter.WriteTimeSeriesGraphToExcel("chartName", "graphTitle", 100, 100, 0, 1, 2, "xAxisTitle", new string[] { "a" }, "yAxisTitle"));
            var e2 = Assert.Catch(() => excelWriter.WriteTimeSeriesGraphToExcel("chartName", "graphTitle", 100, 100, 1, 0, 2, "xAxisTitle", new string[] { "a" }, "yAxisTitle"));

            Assert.IsInstanceOf<ArgumentException>(e);
            Assert.IsInstanceOf<ArgumentException>(e2);
        }

        [Test]
        public void WriteTimeSeriesGraphToExcel_Throws_ArgumentException_When_xAxis_Parameter_Is_Smaller_Or_Equal_To_Zero()
        {
            var excelWriter = new ExcelWriter(config, startDate, endDate) { Data = data };

            var e = Assert.Catch(() => excelWriter.WriteTimeSeriesGraphToExcel("chartName", "graphTitle", 100, 100, 1, 1, 0, "xAxisTitle", new string[] { "a" }, "yAxisTitle"));

            Assert.IsInstanceOf<ArgumentException>(e);
        }

        [Test]
        public void WriteTimeSeriesGraphToExcel_Throws_ArgumentException_When_endDate_Parameter_Is_Before_The_Start_Date_In_Excel()
        {
            var excelWriter = new ExcelWriter(config, startDate, endDate) { Data = data };

            var e = Assert.Catch(() => excelWriter.WriteTimeSeriesGraphToExcel("chartName", "graphTitle", 100, 100, 1, 1, 2, "xAxisTitle", new string[] { "a" }, "yAxisTitle"));

            Assert.IsInstanceOf<ArgumentException>(e);
        }

        [Test]
        public void WriteToExcel_DataPropertyNotSet_ThrowsInvalidOperationException()
        {
            var excelWriter = new ExcelWriter(config, startDate, endDate);

            var e = Assert.Catch(() => excelWriter.WriteToExcel());

            Assert.IsInstanceOf<InvalidOperationException>(e);
        }
        */
    }
}
