﻿using E39.WebApplication.Models;
using System.Linq;

namespace E39.WebApplication.Data
{
    public static class FileDbInitializer
    {
        public static void Initialize(FileDbContext context)
        {
            context.Database.EnsureCreated();

            // Ensure there is a row containing loading time info
            if (!context.LoadTimes.Any())
            {
                context.LoadTimes.Add(new LoadTimes());
                context.SaveChanges();
            }
        }
    }
}