﻿namespace E39.WebApplication.Jobs
{
    public enum JobMessageStyle
    {
        NORMAL = 0,
        EMPHASIS = 1,
        WARNING = 2,
        ERROR = 3
    }

    public class JobMessage
    {
        public string Text { get; }
        public JobMessageStyle Style { get; }

        public JobMessage(string text, JobMessageStyle style)
        {
            Text = text;
            Style = style;
        }
    }
}