# E39 ferjefri fjordkryssing 🌊
Automated pipeline for generating wave data reports.

## Dependencies
- .NET Core 2.2
- The following .NET packages, available through NuGet:
  - E39_Lib:
    - CommandLineParser (2.5.0)
    - SDSLite (1.4.0)
    - CsvHelper (12.1.2)
    - EPPlus (4.5.3.1)
    - System.Configuration.ConfigurationManager (4.5.0)
    - System.Data.DataSetExtensions (4.5.0)
  - E39_Tests:
    - nunit (3.11.0)
    - NUnit3TestAdapter (3.12.0)
    - Microsoft.NET.Test.Sdk (15.9.0)
  - E39_WebApplication:
    - log4net (2.0.8)
    - Microsoft.AspNetCore.App
    - Microsoft.AspNetCore.Authentication.AzureAD.UI (2.2.0)
    - Microsoft.AspNetCore.Razor.Design (2.2.0)
    - Microsoft.EntityFrameworkCore.SqlServer (2.2.4)
    - Microsoft.Extensions.Logging.Log4Net.AspNetCore (2.2.10)
    - Microsoft.VisualStudio.Web.CodeGeneration.Design (2.2.3)
    - Microsoft.WindowsAzure.ConfigurationManager (3.2.3)
    - Quartz (3.0.7)
    - System.Data.SqlClient (4.6.0)
    - WindowsAzure.Storage (9.3.3)
- Python 3.6
  - Python package [netCDF4](https://pypi.org/project/netCDF4/) (1.4.2)
