import numpy as np
from netCDF4 import Dataset


if __name__ == '__main__':
    nc_root = Dataset('test_data.nc', 'w')
    nc_root.createDimension('dim5', 5)

    testFeature1 = nc_root.createVariable('testFeature1', 'i4', ('dim5',))
    testFeature1[:] = np.array([1, 2, 3, 4, 5])

    testFeature2 = nc_root.createVariable('testFeature2', 'f4', ('dim5',))
    testFeature2[:] = np.array([1.1, 2.2, 3.3, 4.4, 5.5])

    testFeature3 = nc_root.createVariable('testFeature3', 'i4', ('dim5',))
    testFeature3[:] = np.array([-3, -7, -11, -13, -17])

    nc_root.close()
