﻿using NUnit.Framework;
using Microsoft.WindowsAzure.Storage.Blob;
using E39.WebApplication.Data;

namespace E39_Tests.E39_WebApplication.Data
{
    class BlobManagerTests
    {
        [SetUp]
        public void Setup()
        {
        }

        [Test]
        public void GetCloudBlobContainer_Returns_CloudBlobContainer()
        {
            // Arrange
            var bm = new BlobManager("");

            // Act
            var container = bm.GetCloudBlobContainer("raw-data");

            // Asserts
            Assert.IsInstanceOf(typeof(CloudBlobContainer), container);
        }
    }
}
