﻿using System;
using System.Collections.Generic;

namespace E39.WebApplication.Jobs
{
    /// <summary>
    /// Properties of a <see cref="Job"/>, which contains information on how to run the job and which reports the job should generate.
    /// </summary>
    public class JobProperties
    {
        public DateTimeOffset StartDate { get; set; }
        public DateTimeOffset EndDate { get; set; }
        public bool Impute { get; set; }
        public List<string> Stations { get; set; }
        public string StartedBy { get; set; }
    }
}